Summary:	Composite Manager library
Summary(pl.UTF-8):	Biblioteka Composite Manager
Name:		libcm
Version:	0.1.1
Release:	4
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libcm/0.1/%{name}-%{version}.tar.bz2
# Source0-md5:	a975d0a913dd882c0a93487b534782bc
URL:		https://www.gnome.org/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-GLX-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.12.7
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXcomposite-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Composite Manager library.

%description -l pl.UTF-8
Biblioteka Composite Manager.

%package devel
Summary:	Header files for Composite Manager library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Composite Manager
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-GLU-devel
Requires:	glib2-devel >= 1:2.12.7
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXcomposite-devel
Requires:	xorg-lib-libXdamage-devel
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXtst-devel

%description devel
Header files for Composite Manager library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Composite Manager.

%package static
Summary:	Static Composite Manager library
Summary(pl.UTF-8):	Statyczna biblioteka Composite Manager
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Composite Manager library.

%description static -l pl.UTF-8
Statyczna biblioteka Composite Manager.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcm.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libcm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcm.so.7

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcm.so
%{_includedir}/cm
%{_pkgconfigdir}/cm.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libcm.a
%changelog
* Sat Sep 05 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libcm.git;a=log;h=master

* Sat Sep 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 64639aa
- drop .la file, fixed License, release 4

* Thu Mar 14 2019 Jan Palus <atler@pld-linux.org> 1ed9dbd
- release 3 (by relup.sh)

* Fri Nov 07 2008 Marcin Banasiak <marcin.banasiak@gmail.com> c25f06a
- more verbose files
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 307f9c0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bb53977
- converted to UTF-8

* Tue Jan 16 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 9cdd5f5
- up to 0.1.1

* Sat Jan 06 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 51d8eae
- up to 0.1.0

* Sat Sep 23 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 84dcc96
- rel 4

* Tue Aug 08 2006 freetz <freetz@pld-linux.org> 3bb93f8
- rel.3

* Tue Jul 11 2006 freetz <freetz@pld-linux.org> dd09ae2
- rel.2, --as-needed for linker

* Tue Jul 11 2006 Jakub Bogusz <qboosh@pld-linux.org> f302656
- removed obsolete configure patch
- devel R: OpenGL-GLU-devel now
- note: needs new or no TFP GLX API (build fails with Mesa = 6.5)

* Tue Jul 11 2006 Jakub Bogusz <qboosh@pld-linux.org> 2eb2b7a
- obsolete

* Fri Jun 16 2006 freetz <freetz@pld-linux.org> 0ec8847
- unofficial 0.0.22, bleeding edge deps

* Sat Mar 04 2006 Jakub Bogusz <qboosh@pld-linux.org> 06618a1
- updated configure patch not to link libcm with -lGLU (GLU is just for demos)
- devel R: OpenGL-devel
- added X11 to Groups

* Sat Mar 04 2006 Jakub Bogusz <qboosh@pld-linux.org> 67492a2
- no need to link libcm with -lGLU (GLU is just for demos)

* Wed Mar 01 2006 Elan Ruusamäe <glen@pld-linux.org> ec2be4d
- adapterized (killed trailing spaces/tabs)

* Sun Feb 19 2006 freetz <freetz@pld-linux.org> d171ec3
- 0.0.16, added configure patch

* Sun Feb 19 2006 freetz <freetz@pld-linux.org> f27ca7e
- fix GL/GLU detection/linking

* Sat Dec 24 2005 Jakub Bogusz <qboosh@pld-linux.org> d84df57
- added deps (modular xorg only - it relies on pkgconfig files)

* Sat Dec 24 2005 Jakub Bogusz <qboosh@pld-linux.org> 610b59f
- pl

